package com.flow.flowable.expression;

import org.flowable.common.engine.api.variable.VariableContainer;
import org.flowable.common.engine.impl.el.function.AbstractFlowableVariableExpressionFunction;
import org.flowable.common.engine.impl.el.function.VariableGreaterThanExpressionFunction;
import org.flowable.common.engine.impl.el.function.VariableLowerThanExpressionFunction;

import java.util.Collections;

public class VariableBetweenExpressionFunction extends AbstractFlowableVariableExpressionFunction {

    public VariableBetweenExpressionFunction() {
        super(Collections.singletonList("bt"), "between");
    }

    public static boolean between(VariableContainer variableContainer, String variableName, Object value1, Object value2) {
        return VariableGreaterThanExpressionFunction.greaterThan(variableContainer, variableName, value1)
                && VariableLowerThanExpressionFunction.lowerThan(variableContainer, variableName, value2);
    }

}
