package com.flow.service;

import com.flow.common.core.model.PageResult;
import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.Menu;
import com.flow.entity.Role;
import com.flow.entity.User;
import com.flow.model.RoleQuery;

import java.util.List;
import java.util.Set;

public interface RoleService extends BaseService<Role> {

    PageResult<Role> getList(RoleQuery roleQuery);

    List<Menu> getPermission(Long roleId);

    Role create(Role role);

    Role update(Role role);

    boolean delete(Set<Long> ids);

    List<User> getUsers(String roleId);

    List<User> getUsers(List<String> roleIds);
}
