package com.flow.behavior;

import lombok.extern.slf4j.Slf4j;
import org.flowable.common.engine.api.delegate.Expression;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.impl.bpmn.behavior.AbstractBpmnActivityBehavior;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class MqActivityBehavior extends AbstractBpmnActivityBehavior {
    protected Expression queue;
    protected Expression params;

    @Override
    public void execute(DelegateExecution execution) {
        log.info("MQ消息发送");

        leave(execution);
    }
}
