package com.flow.service.impl;

import com.flow.common.mybatis.service.impl.BaseServiceImpl;
import com.flow.dao.FlowModelHistoryDao;
import com.flow.entity.FlowModel;
import com.flow.entity.FlowModelHistory;
import com.flow.service.FlowModelHistoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FlowModelHistoryServiceImpl extends BaseServiceImpl<FlowModelHistoryDao, FlowModelHistory> implements FlowModelHistoryService {
    @Autowired
    private FlowModelHistoryDao flowModelHistoryDao;

    @Override
    public FlowModelHistory save(FlowModel flowModel) {
        FlowModelHistory flowModelHistory = new FlowModelHistory();
        flowModelHistory.toFlowModelHistory(flowModel);
        flowModelHistoryDao.insert(flowModelHistory);
        return flowModelHistory;
    }
}
