package com.flow.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;

@TableName(value = "flow_model_history", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@Data
public class FlowModelHistory extends FlowModel {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long modelId;

    public FlowModelHistory toFlowModelHistory(FlowModel flowModel) {
        this.setModelId(flowModel.getId());
        this.setCode(flowModel.getCode());
        this.setName(flowModel.getName());
        this.setIcon(flowModel.getIcon());
        this.setSort(flowModel.getSort());
        this.setForm(flowModel.getForm());
        this.setProcess(flowModel.getProcess());
        this.setVersion(flowModel.getVersion());
        this.setGroupId(flowModel.getGroupId());
        this.setStarters(flowModel.getStarters());
        this.setAdmin(flowModel.getAdmin());
        this.setSettings(flowModel.getSettings());
        this.setEnable(flowModel.getEnable());
        this.setRemark(flowModel.getRemark());
        this.setCreatedBy(flowModel.getCreatedBy());
        this.setCreateTime(flowModel.getCreateTime());
        this.setUpdatedBy(flowModel.getUpdatedBy());
        this.setUpdateTime(flowModel.getUpdateTime());
        return this;
    }
}
