package com.flow.entity.node.connector;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ConnectorType {
    MQ("mq", "消息队列"),
    MICRO("micro", "微服务"),
    CLASS("class", "类"),
    HTTP("http", "HTTP");

    @JsonValue
    final String type;
    private final String name;
}
