package com.flow.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DuplicateApprovalEnum {
    REPEAT("repeat", "重复审批"),
    ONCE("once", "只审批一次"),
    ADJACENT("adjacent", "相邻节点审批自动通过");

    @JsonValue
    private final String type;
    private final String description;
}
