package com.flow.flowable.cmd;

import org.flowable.common.engine.impl.interceptor.Command;
import org.flowable.common.engine.impl.interceptor.CommandContext;
import org.flowable.engine.impl.persistence.entity.ActivityInstanceEntityManager;
import org.flowable.engine.impl.persistence.entity.HistoricActivityInstanceEntityManager;
import org.flowable.engine.impl.util.CommandContextUtil;

public class DeleteActivityEntityCmd implements Command<Void> {
    protected String id;

    public DeleteActivityEntityCmd(String id) {
        this.id = id;
    }

    @Override
    public Void execute(CommandContext commandContext) {
        ActivityInstanceEntityManager activityInstanceEntityManager = CommandContextUtil.getActivityInstanceEntityManager(commandContext);
        HistoricActivityInstanceEntityManager historicActivityInstanceEntityManager = CommandContextUtil.getHistoricActivityInstanceEntityManager(commandContext);
        activityInstanceEntityManager.delete(this.id);
        historicActivityInstanceEntityManager.delete(this.id);
        return null;
    }
}
