package com.flow.flowable.model;

import org.flowable.bpmn.model.ServiceTask;

import java.util.Map;

public class MqServiceTask extends ServiceTask {
    protected String queue;
    protected Map<String, Object> params;


    public MqServiceTask() {
    }

    public String getQueue() {
        return queue;
    }

    public void setQueue(String queue) {
        this.queue = queue;
    }

    public Map<String, Object> getParams() {
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }


    public MqServiceTask clone() {
        MqServiceTask clone = new MqServiceTask();
        clone.setValues(this);
        return clone;
    }


    public void setValues(MqServiceTask otherElement) {
        super.setValues(otherElement);
        this.setQueue(otherElement.getQueue());
        this.setParams(otherElement.getParams());
    }
}
