package com.flow.service;

import com.flow.common.core.model.PageResult;
import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.ConnectorEntity;
import com.flow.model.ConnectorQuery;

public interface ConnectorService extends BaseService<ConnectorEntity> {

    ConnectorEntity create(ConnectorEntity connectorEntity);

    ConnectorEntity update(ConnectorEntity connectorEntity);

    ConnectorEntity get(Long id);

    PageResult<ConnectorEntity> query(ConnectorQuery connectorQuery);
}
