package com.flow.behavior;

import lombok.extern.slf4j.Slf4j;
import org.flowable.common.engine.api.delegate.Expression;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.impl.bpmn.behavior.AbstractBpmnActivityBehavior;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class MicroActivityBehavior extends AbstractBpmnActivityBehavior {
    protected Expression url;
    protected Expression method;
    protected Expression headers;
    protected Expression params;
    protected Expression requestTimeout;

    @Override
    public void execute(DelegateExecution execution) {


        leave(execution);
    }
}
