package com.flow.controller;

import com.flow.common.core.model.Result;
import com.flow.entity.FlowActivity;
import com.flow.service.FlowActivityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/activity")
public class FlowActivityController {
    @Autowired
    private FlowActivityService flowActivityService;

    @GetMapping("/records/{instanceId}")
    public Result<List<FlowActivity>> records(@PathVariable String instanceId) {
        return Result.success(flowActivityService.records(instanceId));
    }

}
