package com.flow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.flow.common.mybatis.entity.BaseEntity;
import com.flow.entity.node.connector.Connector;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@TableName(value = "flow_connector", autoResultMap = true)
public class ConnectorEntity extends BaseEntity {
    private String name;
    private String icon;
    private String description;
    @TableField(typeHandler = JacksonTypeHandler.class)
    private Connector connector;
}
