package com.flow.entity.form.serial;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

@EqualsAndHashCode(callSuper = true)
@Data
public class CreateTime extends SerialRule {
    private String format;

    @Override
    public String generate(String key) {
        return DateTimeFormatter.ofPattern(this.format).format(LocalDateTime.now());
    }
}
