package com.flow.entity.form.serial;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import lombok.Data;

@Data
@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, property = "type", defaultImpl = SerialRule.class, visible = true)
@JsonSubTypes({
        @JsonSubTypes.Type(value = FixedChars.class, name = "fixedChars"),
        @JsonSubTypes.Type(value = CreateTime.class, name = "createTime"),
        @JsonSubTypes.Type(value = IncNumber.class, name = "incNumber")
})
public abstract class SerialRule {
    private String type;

    public abstract String generate(String key);
}
