package com.flow.entity.node;

import lombok.Data;
import org.flowable.bpmn.model.FormProperty;

@Data
public class FieldProperty {
    private String id;
    private String name;
    private Boolean readonly = false;
    private Boolean hidden;
    private Boolean required;

    public FormProperty toFormProperty(){
        FormProperty formProperty = new FormProperty();
        formProperty.setId(id);
        formProperty.setName(name);
        formProperty.setType("string");
        formProperty.setVariable(id);
        formProperty.setReadable(!readonly);
        formProperty.setRequired(required);
        return formProperty;
    }
}
